Skip to main content
POST
/
api
/
post-tasks
cURL
curl --request POST \
  --url https://api.opus.pro/api/post-tasks \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data @- <<EOF
{
  "projectId": "P3021305cncs",
  "clipId": "qU3iVMSO77",
  "postAccountId": "postAccountId_xxx1",
  "subAccountId": "subAccountId_xxx1",
  "postDetail": {
    "title": "My Daughter's Creepy 3 AM Visitor",
    "custom": {
      "description": "Okay, so my daughter got a doll that can apparently move on its own. Last night at 3 AM, I heard footsteps, went to check, and this thing had moved! Totally thought I was losing my mind. Anyone else's toys play tricks? #CreepyDoll #HauntedHouse #MomLife #ParentingFails #ScaryStories",
      "privacy": "public"
    },
    "mediaType": "video"
  }
}
EOF
{
  "data": {
    "postId": "17722461986440WKW-FACEBOOK_PAGE"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
projectId
string
required

Project ID

clipId
string
required

Clip ID

postAccountId
string
required

Unique ID of the connected social account record

postDetail
object
required
subAccountId
string

Sub-account ID used by Facebook pages, Instagram business accounts, or LinkedIn

Response

201 - application/json

Successfully created a post task

data
object
required